print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricesparklingwater = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local sparklingwaterHudFile = "Paletten/hud_fill_sparklingwater.dds"
	local sparklingwaterHudFileSmall = "Paletten/hud_fill_sparklingwater_smal.dds"
	
    local sparklingwaterFilType = g_fillTypeManager:addFillType("SPARKLINGWATER", g_i18n:getText("sparklingwater"), true, pricesparklingwater * 1.2, 0.00045, math.rad(10), sparklingwaterHudFile, sparklingwaterHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hassparklingwater=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hassparklingwater=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "SPARKLINGWATER" then
		hassparklingwater=true
	end;
		
end;

		if hasmaize and not hassparklingwater then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("SPARKLINGWATER")
		local price = g_fillTypeManager:getFillTypeByName("SPARKLINGWATER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("SPARKLINGWATER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)