print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceemptybottle = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local emptybottleHudFile = "hud_fill_emptybottle.dds"
	local emptybottleHudFileSmall = "hud_fill_emptybottle_small.dds"
	
    local emptybottleFilType = g_fillTypeManager:addFillType("EMPTYBOTTLE", g_i18n:getText("emptybottle"), true, priceemptybottle * 0.1, 0.00045, math.rad(10), emptybottleHudFile, emptybottleHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasemptybottle=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasemptybottle=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "EMPTYBOTTLE" then
		hasemptybottle=true
	end;
		
end;

		if hasmaize and not hasemptybottle then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYBOTTLE")
		local price = g_fillTypeManager:getFillTypeByName("EMPTYBOTTLE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYBOTTLE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)